Bug 598738 (CVE-2010-0742)

Summary: CVE-2010-0742 openssl: invalid ASN1 module definition for CMS
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: tmraz
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20100601,reported=20100601,source=internet,rhel-6/openssl=notaffected/impact=important/cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P/,fedora-all/openssl=affected/impact=important/cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P/
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-25 05:50:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 598739, 598740, 1127896    
Bug Blocks:    

Description Vincent Danen 2010-06-01 19:05:39 EDT
From the upstream advisory [1]:

nvalid ASN1 module definition for CMS.
=======================================

CMS structures containing OriginatorInfo are mishandled this can write to
invalid memory addresses or free up memory twice
(CVE-2010-0742).

This bug is only present in the CMS code: the older PKCS#7 code is not affected.

CMS is only present in OpenSSL 0.9.8h and later where it is disabled by
default and 1.0.0 where it is enabled by default.

Users of OpenSSL CMS code should update to 0.9.8o or 1.0.0a which contains a
patch to correct this issue.

Thanks to Ronald Moesbergen for reporting this issue.


This has been corrected upstream via:

http://cvs.openssl.org/chngview?cn=19693

[1] http://www.openssl.org/news/secadv_20100601.txt
Comment 1 Vincent Danen 2010-06-01 19:07:48 EDT
Statement:

Not vulnerable. These issues did not affect the versions of OpenSSL as shipped with Red Hat Enterprise Linux 3, 4, or 5.
Comment 3 Vincent Danen 2010-06-01 19:08:20 EDT
Created openssl tracking bugs for this issue

Affects: fedora-all [bug 598740]
Comment 4 Tomas Hoger 2010-06-02 04:29:50 EDT
(In reply to comment #0)
> This has been corrected upstream via:
> http://cvs.openssl.org/chngview?cn=19693

Relevant part is crypto/cms/cms_asn1.c change:
http://cvs.openssl.org/filediff?f=openssl/crypto/cms/cms_asn1.c&v1=1.8&v2=1.8.6.1

Upstream bug report:
http://rt.openssl.org/Ticket/Display.html?id=2211&user=guest&pass=guest
Comment 5 Fedora Update System 2010-06-02 06:15:13 EDT
openssl-0.9.8n-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openssl-0.9.8n-2.fc11
Comment 6 Fedora Update System 2010-06-07 03:52:52 EDT
openssl-1.0.0a-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/openssl-1.0.0a-1.fc13
Comment 7 Fedora Update System 2010-06-07 03:53:24 EDT
openssl-1.0.0a-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openssl-1.0.0a-1.fc12
Comment 8 Fedora Update System 2010-06-15 11:58:36 EDT
openssl-1.0.0a-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-06-16 13:43:43 EDT
openssl-1.0.0a-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-06-21 17:43:18 EDT
openssl-0.9.8n-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.